Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Reports

Create, update and run saved reports.

List saved reports

GET/reports
Scope reports:runRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/reports" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a report

POST/reports
Scope reports:createWrites data

Request body

FieldType
namerequiredstring
descriptionstring
sourcestring
saqlstring
rawboolean
view"table" | "chart" | "both"

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/reports" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","description":"…","source":"…","saql":"…","raw":false,"view":"table"}'

Get / run a saved report

GET/reports/{id}
Scope reports:runRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/reports/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a report

PATCH/reports/{id}
Scope reports:createWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/reports/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a report

DELETE/reports/{id}
Scope reports:createWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/reports/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"